ALAS-2014-355


Amazon Linux AMI Security Advisory: ALAS-2014-355
Advisory Release Date: 2014-09-19 10:22 Pacific
Severity: Low
References: CVE-2013-4588 

Issue Overview:

Multiple stack-based buffer overflows in net/netfilter/ipvs/ip_vs_ctl.c in the Linux kernel before 2.6.33, when CONFIG_IP_VS is used, allow local users to gain privileges by leveraging the CAP_NET_ADMIN capability for (1) a getsockopt system call, related to the do_ip_vs_get_ctl function, or (2) a setsockopt system call, related to the do_ip_vs_set_ctl function.


Affected Packages:

glibc


Issue Correction:
Run yum update glibc to update your system.

New Packages:
i686:
    glibc-common-2.17-55.84.amzn1.i686
    glibc-debuginfo-2.17-55.84.amzn1.i686
    nscd-2.17-55.84.amzn1.i686
    glibc-devel-2.17-55.84.amzn1.i686
    glibc-debuginfo-common-2.17-55.84.amzn1.i686
    glibc-utils-2.17-55.84.amzn1.i686
    glibc-static-2.17-55.84.amzn1.i686
    glibc-2.17-55.84.amzn1.i686
    glibc-headers-2.17-55.84.amzn1.i686

src:
    glibc-2.17-55.84.amzn1.src

x86_64:
    glibc-static-2.17-55.84.amzn1.x86_64
    glibc-headers-2.17-55.84.amzn1.x86_64
    glibc-common-2.17-55.84.amzn1.x86_64
    glibc-utils-2.17-55.84.amzn1.x86_64
    glibc-devel-2.17-55.84.amzn1.x86_64
    glibc-2.17-55.84.amzn1.x86_64
    glibc-debuginfo-2.17-55.84.amzn1.x86_64
    nscd-2.17-55.84.amzn1.x86_64
    glibc-debuginfo-common-2.17-55.84.amzn1.x86_64